Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistAuxiliary.cs	(revision 81)
@@ -29,7 +29,7 @@
             int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
             m_dispControl = new Control[DspCtrlCnt];
 
-            m_dispControl[(int)DispCtrl.PetitionPeriod] = label14;
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
             m_dispControl[(int)DispCtrl.PersonCode] = label21;
             m_dispControl[(int)DispCtrl.PersonName] = lblLabel01;
             m_dispControl[(int)DispCtrl.DepartmentName] = lblLabel02;
@@ -112,6 +112,21 @@
             int iLength = 0;
             try
             {
+                // 申請区分
+                panel3.BackColor = CommonDefine.s_clrNormal;
+                if (radioButton3.Checked)
+                {   // 修正時に元データが入っていない場合はエラー
+                    if (m_SourceCotegory == 0 || m_SourceCode == 0)
+                    {
+                        panel3.BackColor = CommonDefine.s_clrError;
+                        string strMsg = "変更元データが選択されていません。\n";
+                        strMsg += "「発注者データ表示」ボタンをクリックして\n";
+                        strMsg += "変更元データを選択してください。";
+                        MessageBox.Show(strMsg, "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                        return false;
+                    }
+                }
+                
                 // 発注区分 
                 if (m_dispControl[(int)DispCtrl.OrdersDivision].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrdersDivision], 100, true);
@@ -205,11 +220,12 @@
                 btnPetition.Size = new Size(250, btnPetition.Size.Height);
 
                 DateTime OrderDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.OrderDate].Text);
+                int OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
                 // ----- 担当者コード・承認機能番号取得（申請レコードがない場合は未申請）
                 if (!ClsApprovalPermission.CheckPersonPetition(m_PersonCode,
                                                                 iApprovalCode,
                                                                 OrderDate,
-                                                                CommonDefine.s_Default_OrderNo)) return;
+                                                                OrderNo)) return;
 
                 // ----- 申請済の場合
                 // 申請ボタンの表示
@@ -222,12 +238,14 @@
                 btnApproval.Visible = true;
 
                 // ----- 承認済の場合
-                if (ClsApprovalPermission.CheckPersonApproval(m_PersonCode, iApprovalCode, OrderDate, 1))
+                if (ClsApprovalPermission.CheckPersonApproval(m_PersonCode, iApprovalCode, OrderDate, OrderNo))
                 {
                     btnApproval.Text = CommonDefine.ApprovalButtonString[1];
                     btnApproval.ForeColor = Color.Black;
                     // 承認済みの場合は入力できない
                     ExecReadOnly();
+                    // 承認済みの場合は参照ロックを掛ける
+                    m_EditLock = true;
                     //// 承認済みフラグON
                     //m_ApprovalFlag = true;
                 }
@@ -293,7 +311,7 @@
                     // キー項目セット
                     RegRec.PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text);
                     RegRec.CreateDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.CreateDate].Text);
-                    RegRec.PetitionPeriod = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PetitionPeriod].Text);
+                    RegRec.PetitionPeriod = CommonMotions.SystemMasterData.BusinessPeriod;
 
                     // 申請連番取得
                     strSQL = crDB.CreatePrimarykeyString(RegRec.PersonCode, RegRec.CreateDate);
@@ -303,12 +321,12 @@
 
                     RegRec.SeqNo = SeqNo;
                     m_PersonCode = RegRec.PersonCode;
-                    m_OrderDate = RegRec.CreateDate;
-                    m_OrderNo = SeqNo;
+                    m_CreateDate = RegRec.CreateDate;
+                    m_SeqNo = SeqNo;
                 }
                 else
                 {   //  既存データ取得
-                    strSQL = crDB.CreatePrimarykeyString(m_PersonCode, m_OrderDate, m_OrderNo);
+                    strSQL = crDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
                     if (!crDB.SelectAction(strSQL, ref RegRec, false))
                     {
                         crDB.rollback();
@@ -335,6 +353,9 @@
             IOCostomerRegist crDB = new IOCostomerRegist();
             try
             {
+                //データチェック
+                if (!DispFeildCheck()) return false;
+
                 crDB.connect(); crDB.beginTran();
 
                 CostomerRegist RegRec = new CostomerRegist();
@@ -343,6 +364,12 @@
                 // データ登録時初期処理
                 if (!InitDataEntry(crDB, ref strSQL, ref RegRec)) return false;
 
+                // 申請区分
+                if (radioButton4.Checked)
+                    RegRec.DataMode = (int)DataMode.NewData;
+                else
+                    RegRec.DataMode = (int)DataMode.EditData;
+                
                 // 発注者区分
                 RegRec.OrderCotegory = CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString());
 
@@ -387,6 +414,11 @@
                 // 備考
                 RegRec.Note = m_dispControl[(int)DispCtrl.Note].Text;
 
+                // 発注者区分
+                RegRec.SourceCotegory = m_SourceCotegory;
+                // 発注者コード
+                RegRec.SourceCode = m_SourceCode;
+
                 if (NewData)
                 {
                     // データ登録
@@ -436,7 +468,7 @@
 
                 crDB.connect(); crDB.beginTran();
 
-                string strWhere = crDB.CreatePrimarykeyString(m_PersonCode, m_OrderDate, m_OrderNo);
+                string strWhere = crDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
 
                 if (!crDB.DeleteAction(strWhere,false))
                 {
@@ -482,9 +514,9 @@
                     object[] objRec = (object[])dmRec[0];
                     strDepName = CommonMotions.cnvString(objRec[0]);
                     strPerName = CommonMotions.cnvString(objRec[1]);
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew + s_FixTitle;
                 }
 
-                m_dispControl[(int)DispCtrl.PetitionPeriod].Text = m_BusinessPeriod.ToString();
                 m_dispControl[(int)DispCtrl.PersonCode].Text = m_PersonCode.ToString();
                 m_dispControl[(int)DispCtrl.PersonName].Text = strPerName;
                 m_dispControl[(int)DispCtrl.DepartmentName].Text = strDepName;
@@ -519,8 +551,8 @@
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.PERSONCODE";
                 strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += string.Format(" WHERE A.PersonCode = {0}", m_PersonCode);
-                strSQL += string.Format(" AND A.CreateDate = TO_DATE('{0}')", m_OrderDate.ToShortDateString());
-                strSQL += string.Format(" AND A.SeqNo = {0}", m_OrderNo);
+                strSQL += string.Format(" AND A.CreateDate = TO_DATE('{0}')", m_CreateDate.ToShortDateString());
+                strSQL += string.Format(" AND A.SeqNo = {0}", m_SeqNo);
 
                 if (!crDB.ExecuteReader(strSQL, ref crList)) return false;
                 if (crList.Count == 0) return true;
@@ -527,45 +559,61 @@
 
                 object[] crRec = (object[])crList[0];
                 // データ表示
-                cmbDivision.SelectedValue = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderCotegory]);
-                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.CorporateStatusName]);
+                cmbDivision.SelectedValue = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderCotegory]);
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.CorporateStatusName]);
 
-                int StatusPoint = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.CorporateStatusPoint]);
+                int StatusPoint = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.CorporateStatusPoint]);
                 if (StatusPoint == 0) rdbPoint1.Checked = true;
                 else if (StatusPoint == 1) rdbPoint2.Checked = true;
                 else if (StatusPoint == 2) rdbPoint3.Checked = true;
 
-                int DivCnt = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderFlg]);
+                m_SourceCotegory = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SourceCotegory]);
+                m_SourceCode = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SourceCode]);
+                string strEdit = string.Empty;
+                int datamode = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.DataMode]);
+                if (datamode == (int)DataMode.NewData)
+                {
+                    strEdit = CommonDefine.EditModeStringNew;
+                    radioButton4.Checked = true;
+                }
+                else
+                {
+                    strEdit = CommonDefine.EditModeStringEdit;
+                    radioButton3.Checked = true;
+                }
+
+                m_dispControl[(int)DispCtrl.EditMode].Text = string.Format("{0}{1}", strEdit, s_FixTitle);
+
+                int DivCnt = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderFlg]);
                 if (DivCnt == 0) radioButton1.Checked = true;
                 else radioButton2.Checked = true;
 
-                m_dispControl[(int)DispCtrl.OrderNo].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderNo]).ToString();
-                m_dispControl[(int)DispCtrl.OrderDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.DataColumn.OrderDate]).ToShortDateString();
+                m_dispControl[(int)DispCtrl.OrderNo].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.OrderNo]).ToString();
+                m_dispControl[(int)DispCtrl.OrderDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.OrderDate]).ToShortDateString();
 
-                m_dispControl[(int)DispCtrl.OrdersName1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.OrderersName1]);
-                m_dispControl[(int)DispCtrl.OrdersName2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.OrderersName2]);
-                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.DepartmentName]);
-                m_dispControl[(int)DispCtrl.ChargePersonName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.ChargePersonName]);
-                m_dispControl[(int)DispCtrl.ZipCode].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.ZipCode]);
-                m_dispControl[(int)DispCtrl.Address1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address1]);
-                m_dispControl[(int)DispCtrl.Address2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address2]);
-                m_dispControl[(int)DispCtrl.Address3].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Address3]);
-                m_dispControl[(int)DispCtrl.PhoneNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.PhoneNumber]);
-                m_dispControl[(int)DispCtrl.FaxNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.FaxNumber]);
-                m_dispControl[(int)DispCtrl.MailAddress].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.MailAddress]);
-                m_dispControl[(int)DispCtrl.Note].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.DataColumn.Note]);
+                m_dispControl[(int)DispCtrl.OrdersName1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.OrderersName1]);
+                m_dispControl[(int)DispCtrl.OrdersName2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.OrderersName2]);
+                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.DepartmentName]);
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.ChargePersonName]);
+                m_dispControl[(int)DispCtrl.ZipCode].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.ZipCode]);
+                m_dispControl[(int)DispCtrl.Address1].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address1]);
+                m_dispControl[(int)DispCtrl.Address2].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address2]);
+                m_dispControl[(int)DispCtrl.Address3].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Address3]);
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.PhoneNumber]);
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.FaxNumber]);
+                m_dispControl[(int)DispCtrl.MailAddress].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.MailAddress]);
+                m_dispControl[(int)DispCtrl.Note].Text = CommonMotions.cnvString(crRec[(int)IOCostomerRegist.TableColumn.Note]);
 
-                m_dispControl[(int)DispCtrl.CreateDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.DataColumn.CreateDate]).ToShortDateString();
-                m_dispControl[(int)DispCtrl.PetitionPeriod].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.PetitionPeriod]).ToString();
-                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.PersonCode]).ToString();
+                m_dispControl[(int)DispCtrl.CreateDate].Text = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.CreateDate]).ToShortDateString();
+                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.PersonCode]).ToString();
 
-                int DspCtrlCnt = Enum.GetNames(typeof(IOCostomerRegist.DataColumn)).Length;
+                int DspCtrlCnt = Enum.GetNames(typeof(IOCostomerRegist.TableColumn)).Length;
                 m_dispControl[(int)DispCtrl.PersonName].Text = CommonMotions.cnvString(crRec[DspCtrlCnt]);
                 m_dispControl[(int)DispCtrl.DepartmentName].Text = CommonMotions.cnvString(crRec[(DspCtrlCnt + 1)]);
 
                 // 申請データキー取得
-                m_OrderDate = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.DataColumn.OrderDate]);
-                m_OrderNo = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.DataColumn.OrderNo]);
+                m_CreateDate = CommonMotions.cnvDate(crRec[(int)IOCostomerRegist.TableColumn.CreateDate]);
+                m_SeqNo = CommonMotions.cnvInt(crRec[(int)IOCostomerRegist.TableColumn.SeqNo]);
                 
                 return true;
             }
@@ -697,13 +745,13 @@
                 {
                     fHeight = 28F;
                     bVisible = true;
-                    TblHeight = (int)((fHeight * 14) + 80F);
+                    TblHeight = (int)((fHeight * 15) + 80F);
                 }
                 else if (radioButton2.Checked)
                 {
                     fHeight = 0F;
                     bVisible = false;
-                    TblHeight = (int)((28F * 10) + 80F);
+                    TblHeight = (int)((28F * 11) + 80F);
                 }
                 tableLayoutPanel1.Height = TblHeight;
 
@@ -722,6 +770,8 @@
                 tableLayoutPanel1.RowStyles[7].Height = fHeight;
                 textBox2.Visible = bVisible;
                 label24.Visible = bVisible;
+
+                m_bChengeAns = true;
             }
             catch (Exception ex)
             {
@@ -730,6 +780,35 @@
         }
         #endregion
 
+        #region 申請区分変更時処理
+        /// <summary>
+        /// 申請区分変更時処理
+        /// </summary>
+        private void DataModeChange()
+        {
+            try
+            {
+                string strMode = string.Empty;
+                if (radioButton4.Checked)
+                {
+                    strMode = string.Format("{0}{1}", CommonDefine.EditModeStringNew, s_FixTitle);
+                    m_SourceCotegory = 0;
+                    m_SourceCode = 0;
+                }
+                else
+                {
+                    strMode = string.Format("{0}{1}", CommonDefine.EditModeStringEdit, s_FixTitle);
+                }
+                m_dispControl[(int)DispCtrl.EditMode].Text = strMode;
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 申請ボタン押下処理
         /// <summary>
         /// 申請ボタン押下処理
@@ -741,7 +820,7 @@
             try
             {
                 // 発注者登録申請データが無い場合は登録する
-                string strSQL = CrDB.CreatePrimarykeyString(m_PersonCode, m_OrderDate, m_OrderNo);
+                string strSQL = CrDB.CreatePrimarykeyString(m_PersonCode, m_CreateDate, m_SeqNo);
                 CostomerRegist DataRec = new CostomerRegist();
                 if (!CrDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
 
@@ -768,9 +847,9 @@
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(wrkOrderNo);
 
                 // 検索日付キー
-                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_OrderDate);
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_CreateDate);
                 // 検索連番キー
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_OrderNo);
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_SeqNo);
 
                 // 親フォーム終了
                 m_ParentEnd = true;
@@ -828,9 +907,9 @@
                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text));
 
                 // 検索日付キー
-                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_OrderDate);
+                ClsExcute.ProcControlPara[NowPoint].DateExecParameter.Add(m_CreateDate);
                 // 検索連番キー
-                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_OrderNo);
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_SeqNo);
 
                 // 親フォーム終了
                 m_ParentEnd = true;
@@ -856,7 +935,7 @@
             FrmApprovalPerson frm = new FrmApprovalPerson();
             try
             {
-                if (MessageBox.Show("出勤管理を承認します、よろしいですか？。", "承認確認"
+                if (MessageBox.Show("発注者申請登録を承認します、よろしいですか？。", "承認確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
                 // 一気にメニューに戻る
@@ -874,9 +953,9 @@
                 frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
 
                 // 検索日付キー
-                frm.DataSearchDate = m_OrderDate;
+                frm.DataSearchDate = m_CreateDate;
                 // 検索連番キー
-                frm.DataSearchSeqNo = m_OrderNo;
+                frm.DataSearchSeqNo = m_SeqNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
@@ -913,7 +992,7 @@
             FrmApprovalPerson frm = new FrmApprovalPerson();
             try
             {
-                if (MessageBox.Show("出勤管理を保留とします、よろしいですか？。", "保留確認"
+                if (MessageBox.Show("発注者申請登録を保留とします、よろしいですか？。", "保留確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
                 // 一気にメニューに戻る
@@ -931,9 +1010,9 @@
                 frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
 
                 // 検索日付キー
-                frm.DataSearchDate = m_OrderDate;
+                frm.DataSearchDate = m_CreateDate;
                 // 検索連番キー
-                frm.DataSearchSeqNo = m_OrderNo;
+                frm.DataSearchSeqNo = m_SeqNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
@@ -970,7 +1049,7 @@
             FrmApprovalPerson frm = new FrmApprovalPerson();
             try
             {
-                if (MessageBox.Show("出勤管理を不承認します、よろしいですか？。", "不承認確認"
+                if (MessageBox.Show("発注者申請登録を不承認します、よろしいですか？。", "不承認確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
                 // 一気にメニューに戻る
@@ -988,9 +1067,9 @@
                 frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
 
                 // 検索日付キー
-                frm.DataSearchDate = m_OrderDate;
+                frm.DataSearchDate = m_CreateDate;
                 // 検索連番キー
-                frm.DataSearchSeqNo = m_OrderNo;
+                frm.DataSearchSeqNo = m_SeqNo;
 
                 // 申請・承認レコード更新
                 if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
@@ -1016,6 +1095,151 @@
         }
         #endregion
 
+        #region 発注者マスタ表示処理
+        /// <summary>
+        /// 発注者マスタ表示処理
+        /// </summary>
+        private void DspOrderData()
+        {
+            try
+            {
+                // 表示されている時は再表示する
+                if (m_frm != null)
+                {
+                    m_frm.Activate();
+                    return;
+                }
+
+                m_frm = new FrmOrderers();
+
+                m_frm.SubForm = true;
+                m_frm.EditLock = true;
+                m_frm.DivisionCode = m_SourceCotegory;
+                m_frm.OrderersCode = m_SourceCode;
+
+                m_frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                m_frm.FormClosed += new FormClosedEventHandler(FrmOrderersClosed);
+
+                m_frm.Show();
+
+                // データ表示
+                m_frm.DispReferenceData();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 発注者マスタメンテナンス画面終了処理
+        /// <summary>
+        /// 発注者マスタメンテナンス画面終了処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmOrderersClosed(object sender, FormClosedEventArgs e)
+        {
+            IOMOrderers OrderDB = new IOMOrderers();
+            try
+            {
+                // 参照時は引込処理をしない
+                if (m_EditLock) return;
+
+                // 終了ボタン押下で終了した場合
+                if (m_frm.EndButton) return;
+
+                this.Activate();
+
+                string strMsg = string.Empty;
+                // 選択無しは処理しない
+                if (m_frm.EndButton) return;
+
+                // データ置き換え確認
+                strMsg = "選択したマスタデータを取り込みますか？\n";
+                strMsg += "「はい」　を選択すると現在編集中のデータは破棄されます。\n";
+                strMsg += "「いいえ」を選択するとデータは取り込まれません。";
+                if (MessageBox.Show(strMsg, "データ読込確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.Yes)
+                {
+                    string strSQL = OrderDB.CreatePrimarykeyString(m_frm.DivisionCode, m_frm.OrderersCode);
+                    OrderersMaster OrderRec = new OrderersMaster();
+                    if (!OrderDB.SelectAction(strSQL, ref OrderRec))
+                    {
+                        MessageBox.Show("発注者マスタ読込に失敗しました。", "読込エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return;
+                    }
+                    // 読込マスタデータ表示
+                    DispMasterData(OrderRec);
+                }
+
+                if (radioButton4.Checked)
+                {
+                    // 新規時はデータクリア
+                    m_SourceCotegory = 0;
+                    m_SourceCode = 0;
+                }
+                else
+                {
+                    // 修正時はデータ取得
+                    m_SourceCotegory = m_frm.DivisionCode;
+                    m_SourceCode = m_frm.OrderersCode;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_frm.Dispose(); m_frm = null;
+                OrderDB.close(); OrderDB = null;
+            }
+        }
+        #endregion
+
+        #region マスタ読込データ表示
+        /// <summary>
+        /// マスタ読込データ表示
+        /// </summary>
+        /// <param name="OrderRec"></param>
+        private void DispMasterData(OrderersMaster OrderRec)
+        {
+            try
+            {
+                // データ表示
+                cmbDivision.SelectedValue = OrderRec.OrderCotegory;
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = OrderRec.CorporateStatusName;
+
+                if (OrderRec.CorporateStatusPoint == 0) rdbPoint1.Checked = true;
+                else if (OrderRec.CorporateStatusPoint == 1) rdbPoint2.Checked = true;
+                else if (OrderRec.CorporateStatusPoint == 2) rdbPoint3.Checked = true;
+
+                if (OrderRec.OrderFlg == 0) radioButton1.Checked = true;
+                else radioButton2.Checked = true;
+
+                m_dispControl[(int)DispCtrl.OrdersName1].Text = OrderRec.OrderersName1;
+                m_dispControl[(int)DispCtrl.OrdersName2].Text = OrderRec.OrderersName2;
+                m_dispControl[(int)DispCtrl.ChargeDepartmentName].Text = OrderRec.DepartmentName;
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = OrderRec.ChargePersonName;
+                m_dispControl[(int)DispCtrl.ZipCode].Text = OrderRec.ZipCode;
+                m_dispControl[(int)DispCtrl.Address1].Text = OrderRec.Address1;
+                m_dispControl[(int)DispCtrl.Address2].Text = OrderRec.Address2;
+                m_dispControl[(int)DispCtrl.Address3].Text = OrderRec.Address3;
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = OrderRec.PhoneNumber;
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = OrderRec.FaxNumber;
+                m_dispControl[(int)DispCtrl.MailAddress].Text = OrderRec.MailAddress;
+                m_dispControl[(int)DispCtrl.Note].Text = OrderRec.Note;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         // -------------------- 印刷処理
         #region 印刷時ボタン制御
         /// <summary>
@@ -1027,6 +1251,7 @@
             panel1.Enabled = !bprint;
             tableLayoutPanel1.Enabled = !bprint;
 
+            btnOtherProc.Visible = !bprint;
             btnDataEntry.Visible = !bprint;
             btnDataDelete.Visible = !bprint;
             btnEnd.Visible = !bprint;
@@ -1058,6 +1283,8 @@
                 // 処理番号セット
                 frmPrint.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.CostomerRegist;
                 // 表示文字列セット
+                int substrCnt = m_PrintFormString.IndexOf("－");
+                if (substrCnt > 0) m_PrintFormString = m_PrintFormString.Substring(0, substrCnt);
                 frmPrint.DispString = m_PrintFormString;
                 // 印刷範囲設定の表示
                 frmPrint.DisplayRange = false;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistList.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistList.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegistList.cs	(revision 81)
@@ -39,8 +39,9 @@
         private enum DispColumn
         {
             No = 0,
+            PersonName,
             DepartmentName,
-            PersonName,
+            EditMode,
             OrdersName,
             OrderDivName,
             CreateDate,
